Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 6233)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 6234)
@@ -135,5 +135,10 @@
 	if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
 	if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
-	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';}
+    $_POST['llgbo_hdlightbox'] = 'false'; 
+	// compliance HD Shadowbox
+	$query =" SELECT ID FROM  piwigo_plugins where id ="."'HDShadowbox'"."and state ='active'" ;
+   $result = pwg_query($query);
+   while ($row = pwg_db_fetch_assoc($result))
+		{ $_POST['llgbo_hdlightbox'] = 'true';}  
 	if (!isset($_POST['llgbo_always_displayexif'])) {$_POST['llgbo_always_displayexif'] = 'false';} //10	
 	 $param_llgbo = array($_POST['llgbo_frame'],
@@ -142,5 +147,5 @@
 				$_POST['llgbo_title_frame'],			$_POST['llgbo_header'],
 				$_POST['llgbo_maintain_header'],			$_POST['llgbo_allinfo'],
-				$_POST['llgbo_default_navthumb']	,$_POST['llgbo_always_displayexif']
+				$_POST['llgbo_hdlightbox']	,$_POST['llgbo_always_displayexif']
 			);		 
 	$llgbo_new_value = implode ("," , $param_llgbo);
@@ -176,5 +181,5 @@
 	  {$template->assign(array( 'LLGBO_ALLINFO' => 'true'));}  else {  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 
 	if ($conf['LLGBO_SETTINGS'][9] == 'true')
-	  {$template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}  else  { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
+	  {$template->assign(array( 'LLGBO_HDLIGHTBOX' => 'true'));}  else  { $template->assign(array( 'LLGBO_HDLIGHTBOX' => "false"));}
 	if ($conf['LLGBO_SETTINGS'][10] == 'true')
 	  {$template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => 'true'));}  else  { $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => "false"));}
Index: /extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 6233)
+++ /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 6234)
@@ -1,7 +1,7 @@
 
-<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+{if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
  <h3>{'Step3_Title'|@translate}</h3>
-<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<form method="post" action="" class="properties">
 <fieldset>
 	<div id="framepicker"> </div>
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 6233)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 6234)
@@ -1,3 +1,3 @@
-<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+{if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
 <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
 <h3>{'Step4_Title'|@translate}</h3>
Index: /extensions/LLGBO2/admin/llgbo_adminsettings.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 6233)
+++ /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 6234)
@@ -1,10 +1,12 @@
-<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+
+{if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
 <h3>{'Howto'|@translate}</h3>
-<span>{'llgo_warning_setting'|@translate} </span>
-<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+{if !empty($GALLY)}
+<span>{'llgo_warning_setting'|@translate} </span>{/if}
+<form method="post" action="" class="properties">
 <fieldset>
 
-<table id="llgbotable" style="{$LLGBODISPMANAGE}">
+<table id="llgbotable">
 	<tr>
 		<td id="llgbotitle">{'llgo_global_setting'|@translate} </td>
@@ -38,9 +40,9 @@
 		<td class="llgboinput">{html_radios name='llgbo_title_frame' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TITLE_FRAME}</td>	
 	</tr>
+ <!--	<tr>
+		<td class="llgbolabel">{'llgbo_hdlightbox'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_hdlightbox' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HDLIGHTBOX}</td>
+	</tr>    --> 
 	<tr>
-	<tr>
-		<td class="llgbolabel">{'llgbo_default_navthumb'|@translate}</td>
-		<td class="llgboinput">{html_radios name='llgbo_default_navthumb' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_DEFAULT_NAVTHUMB}</td>
-	</tr>
 		<td class="llgbolabel">{'llgbo_header'|@translate}</td>
 		<td class="llgboinput">{html_radios name='llgbo_header' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER}</td>	
Index: /extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 6233)
+++ /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 6234)
@@ -1,6 +1,6 @@
-<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+{if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if} 
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
 <h3>{'Step2_Title'|@translate}</h3>
-<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<form method="post" action="" class="properties">
 <fieldset>
 
Index: /extensions/LLGBO2/css/look_like_gbo2_admin.css
===================================================================
--- /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 6233)
+++ /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 6234)
@@ -33,5 +33,5 @@
 #llgbotable{
 	margin:1em;
-	width:500px;
+	width:550px;
 margin:auto} 
 #llgboHeadertable{
Index: /extensions/LLGBO2/defaultvalues.php
===================================================================
--- /extensions/LLGBO2/defaultvalues.php	(revision 6233)
+++ /extensions/LLGBO2/defaultvalues.php	(revision 6234)
@@ -2,5 +2,5 @@
 
 // valeurs par défaut 
-$plugvalues = "false,true,true,true,true,true,false,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true,flase";
+$plugvalues = "false,true,true,true,true,true,false,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,false,false";
 $ttvalues = "150,2,#fff,#000,#c92,#dadada";
 $frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 6233)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 6234)
@@ -84,3 +84,4 @@
 $lang['Reset_To_Default'] = 'Reset to default values';
 /*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgbo_hdlightbox'] ='Compliance HD lightbox and navigation on picture';
 ?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 6233)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 6234)
@@ -1,38 +1,43 @@
 <?php 
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                           |
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2009 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+<?php 
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2009 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 $lang['submit'] = 'Validar';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Este plugin permite modificar la presentación de la página de imágenes.';
-$lang['Step1_Title'] = 'Parametraje del Plugin ';
+$lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes.';
+$lang['Step1_Title'] = 'Parametraje de Plugin ';
 $lang['Step2_Title'] = 'Parametraje de la burbuja info';
 $lang['Step3_Title'] = 'Parametraje del marco';
 $lang['Step4_Title'] = 'Parámetros de la burbuja info';
-$lang['llgbo_tooltip']='Burbuja info específica (miniaturas de las fotos) al sobrevuelo de los botones:';
-$lang['llgbo_exifunderbt']='Visualiza los EXTEJOS al sobrevuelo del botón :';
+$lang['llgbo_tooltip']='Infobulles específico (miniaturas de las fotos) al sobrevuelo de los botones:';
+$lang['llgbo_exifunderbt']='Fija los EXTEJOS al sobrevuelo del botón :';
 $lang['llgbo_frame']='Fija un marco blanco alrededor de la imagen :';
-$lang['llgbo_header']='El encabezado es fijado sólo sobre la página inicial  :';
-$lang['llgbo_maintain_header']='Conservar el encabezado sobre las páginas siguientes :';
+$lang['llgbo_header']='La marea es fijado sólo sobre la página inicial  :';
+$lang['llgbo_maintain_header']='Conservar la marea sobre las páginas siguientes :';
 $lang['llgbo_usemap']='Añade la navegación sobre la imagen :';
-$lang['llgbo_usemap_thumb']='Visualiza las miniaturas en el momento de la navegación sobre la imagen :';
-$lang['llgbo_info']='     (^_^) Sus parámetros estan registrados !';
-$lang['llgbo_title_frame'] = 'Visualizar el título de la imagen sobre el marco';
-$lang['llgbo_default_navthumb'] = 'Elimine la Visualización estándar de las miniaturas de navegación :';
+$lang['llgbo_usemap_thumb']='Fija las miniaturas en el momento de la navegación sobre la imagen :';
+$lang['llgbo_info']='     (^_^) Sus parámetros son registrados !';
+$lang['llgbo_title_frame'] = 'Fijar el título de la imagen sobre el marco';
+$lang['llgbo_default_navthumb'] = 'Suprime la fijación estándar de las miniaturas de navegación :';
 $lang['save'] = 'Registrar';
 $lang['preview'] = 'Hacer visible';
 $lang['llgo_tooltip_width']= 'Anchura de la burbuja info';  
 $lang['llgo_tooltip_size']= 'Anchura del ribete de la burbuja info';  
-$lang['llgbo_tooltip_bordercolor']= 'Anchura del borde de la burbuja info';
-$lang['llgbo_tooltip_backgroundcolor']= 'Color de fondo de la burbuja info';
+$lang['llgbo_tooltip_bordercolor']= 'Anchura del ribete de la burbuja info';
+$lang['llgbo_tooltip_backgroundcolor']= 'Color del fondo de la burbuja info';
 $lang['llgbo_tooltip_titlecolor']= 'Color del título de la burbuja info';
 $lang['llgbo_tooltip_color']= 'Color del texto de la burbuja info';
-$lang['llgo_global_setting']= 'Parmetros generales de la página picture de Piwigo';
+$lang['llgo_global_setting']= 'Parmètres a generales de la página picture de Piwigo';
 $lang['llgo_tooltip_setting']= 'Título de la burbuja info';
 $lang['llgo_frame_setting']= 'Parámetros del marco :' ;
-$lang['llgbo_title_frame_color']= 'Color del título visualizado sobre el marco';
+$lang['llgbo_title_frame_color']= 'Color del título fijado sobre el marco';
 $lang['llgbo_frame_bdcolor0']= 'Linea 1 color : ';
 $lang['llgbo_frame_bdcolor1']= 'Linea 2 color : ';
@@ -54,34 +59,35 @@
 $lang['llgbo_M_frame'] = 'Gestión del marco';
 $lang['llgbo_M_tooltip'] = 'Gestión de de la burbuja info';
-$lang['llgbo_M_manage'] = 'Parametros generales';
+$lang['llgbo_M_manage'] = 'Paramétres generales';
 $lang['llgbo_samples'] = 'Ejemplos : ';
 $lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
-$lang['llgbo_header']='Administrar la visualización del encabezado ';
-$lang['llgbo_M_header'] = 'Gestión de la visualización del encabezadoa';
-$lang['llgbo_header_home'] = 'Visualización sobre la página inicial';
-$lang['llgbo_header_category'] = 'Visualización sobre la página categoría';
-$lang['llgbo_header_category_filter_recent']= 'Visualización sobre la página categoría (filtrada por reciente)';
-$lang['llgbo_header_category_flat']= 'Visualización sobre la página categoría (en plano)' ;
-$lang['llgbo_header_category_posted_monthly']= 'Visualización sobre la página categoría opción calendario' ;
-$lang['llgbo_header_picture']= 'Visualización sobre la página Image' ;
-$lang['llgbo_header_additional_page'] = 'Visualización sobre las páginas Adicionales';
-$lang['llgbo_header_most_visited'] = 'Visualización sobre la página Imágenes más vistas ';
-$lang['llgbo_header_best_rated'] = 'Visualización sobre la página Mejor valoradas ';
-$lang['llgbo_header_list']= 'Visualización sobre la página Selección aleatoria ';
-$lang['llgbo_header_recent_pics']= 'Visualización sobre la página Últimas imágenes añadidas ';
-$lang['llgbo_header_created_monthly_calendar'] = 'Visualización sobre la página Calendario'; 
-$lang['llgbo_header_tags']= 'Visualización sobre la página Etiquetas '; 
-$lang['llgbo_header_search']= 'Visualización sobre la página Búsqueda avanzada';
-$lang['llgbo_header_comments']= 'Visualización sobre la página Comentarios';
-$lang['llgbo_header_about']= 'Visualización sobre la página Acerca de';
-$lang['llgbo_header_notification']= 'Visualización sobre la página Notificación RSS';
-$lang['llgbo_header_register'] = 'Visualización sobre la página Regístrese ';
-$lang['llgbo_header_identification']= 'Visualización sobre la página Identificarse';
-$lang['llgbo_header_favorites']= 'Visualización sobre la página Mis favoritos';
-$lang['llgbo_header_recent_cats']= 'Visualización sobre la página Últimas categorías ';
-$lang['llgbo_frame_sample']= 'Lista ejemplos ';
-$lang['previewsamples']= 'Visualizar este ejemplo';
-$lang['llgbo_always_displayexif'] = 'Siempre visualizar el METADATO:' ;
-$lang['Reset_To_Default'] = 'Restaurar los valores predeterminados';
-$lang['llgo_warning_setting'] = 'El marco y la navegación sobre imagen no están disponibles con Gally';
+$lang['llgbo_header']='Administrar la fijación de la marea ';
+$lang['llgbo_M_header'] = 'Gestión de la fijación de la marea';
+$lang['llgbo_header_home'] = 'Fijación sobre la página inicial';
+$lang['llgbo_header_category'] = 'Fijación sobre la página categoría';
+$lang['llgbo_header_category_filter_recent']= 'Fijación sobre la página categoría (filtrada por reciente)';
+$lang['llgbo_header_category_flat']= 'Fijación sobre la página categoría (a plato)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Fijación sobre la página categoría opción calendario' ;
+$lang['llgbo_header_picture']= 'Fijación sobre la página Image' ;
+$lang['llgbo_header_additional_page'] = 'Fijación sobre las páginas Adicionales';
+$lang['llgbo_header_most_visited'] = 'Fijación sobre la página Imágenes más vistas ';
+$lang['llgbo_header_best_rated'] = 'Fijación sobre la página Mejor valoradas ';
+$lang['llgbo_header_list']= 'Fijación sobre la página Selección aleatoria ';
+$lang['llgbo_header_recent_pics']= 'Fijación sobre la página Últimas imágenes añadidas ';
+$lang['llgbo_header_created_monthly_calendar'] = 'Fijación sobre la página Calendario'; 
+$lang['llgbo_header_tags']= 'Fijación sobre la página Tags '; 
+$lang['llgbo_header_search']= 'Fijación sobre la página Búsqueda avanzada';
+$lang['llgbo_header_comments']= 'Fijación sobre la página Comentarios';
+$lang['llgbo_header_about']= 'Fijación sobre la página Acerca de';
+$lang['llgbo_header_notification']= 'Fijación sobre la página Notificación RSS';
+$lang['llgbo_header_register'] = 'Fijación sobre la página Regístrese ';
+$lang['llgbo_header_identification']= 'Fijación sobre la página Identificarse';
+$lang['llgbo_header_favorites']= 'Fijación sobre la página Mis favoritos';
+$lang['llgbo_header_recent_cats']= 'Fijación sobre la página Últimas categorías ';
+$lang['llgbo_frame_sample']= 'Lista ejemplost ';
+$lang['previewsamples']= 'Fijar este ejemplo';
+$lang['llgbo_always_displayexif'] = 'Siempre fijar el METADATA:' ;
+/* TODO */$lang['Reset_To_Default'] = 'Restaurar los valores por defecto';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgbo_hdlightbox'] ='Compliance HD lightbox and navigation on picture';
 ?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 6233)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 6234)
@@ -84,3 +84,4 @@
 $lang['Reset_To_Default'] = 'Rétablir les valeurs par défaut';
 $lang['llgo_warning_setting'] = 'Le cadre et la navigation sur image ne sont pas disponibles avec Gally';
+$lang['llgbo_hdlightbox'] ='Compatibilité de HD lightbox avec la navigation sur image ';
 ?>
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 6233)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 6234)
@@ -82,4 +82,5 @@
 $lang['previewsamples']= 'Minta megtekintése'; 
 $lang['llgbo_always_displayexif'] = 'Mindig megjelenő METAADATOK (EXIF):' ;
-/*TODO*/$lang['llgo_warning_setting'] = 'Keret a kép körül és a navigáció a képre nem elérhetők Gally esetén';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgbo_hdlightbox'] ='Compliance HD lightbox and navigation on picture';
 ?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 6233)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 6234)
@@ -84,3 +84,4 @@
 /* TODO */$lang['Reset_To_Default'] = 'Przywróć wartości domyślne';
 /*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgbo_hdlightbox'] ='Compliance HD lightbox and navigation on picture';
 ?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 6233)
+++ /extensions/LLGBO2/main.inc.php	(revision 6234)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.0.O
+Version:  2.1.a
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: Ex-Ftb  
@@ -8,18 +8,6 @@
 Description:  Display thumbnail under button. Add navigation on picture look like GBo Gallery 
 Add a border around  picture ......
- */
- /* 2.0.d  fix notice when HD picture is desactivate*/
- /* 2.0.e  fix notice with redirec.tpl     */ 
- /* 2.0.f  Tooltip and frame  define by plugin vs Css*/
- /* 2.0.g  always display metadata + maintain IPTC */ 
- /* 2.0.h new languages PL, ES, HU */ 
- /* 2.0.i Manage tab for tooltip and frame settings */
- /* 2.0.J  add sample display and fix bug in admin with chrome */
- /* 2.0.K fix warning du to language file */
-  /* 2.0.L  Avoid problem with Gally */
-  /* 2.0.M	 -  fix bug on image alt  attribute 
-		- fix bug on active -> erase the paramater when it's not mandatory. */
-  /* 2.0.N -  fix bug  no navigation on picture, whit out frame  */ 
-  /* 2.0.O -  compliant with extended description  */ 
+  2.1.a compliant 2.1 Piwigo */
+
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 /* création d'une instance de la classe   */
@@ -27,5 +15,5 @@
 global $conf; 
 
-define ('LLGBO_INFO_VERSION','2.0.O');
+define ('LLGBO_INFO_VERSION','2.1.a');
 if (!defined('LLGBO_PATH'))
 {define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');}
@@ -35,5 +23,4 @@
  $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']); 
  $conf['LLGBO_HEADER'] = explode (",",$conf['LLGBOHEADER']);   
- 
 /////////////////////////////////////////////////////
 /*  PLUGIN CLASS  */
@@ -58,5 +45,6 @@
 	If ($conf['LLGBO_SETTINGS'][10]  == 'true' )  //always display metadata
 	{if ( pwg_get_session_var('show_metadata') == null )
-		{  pwg_set_session_var('show_metadata', 1 );}}
+		{  pwg_set_session_var('show_metadata', 1 );
+		 }}
 }
 //------------------------------------------------------------- 
@@ -110,8 +98,7 @@
 {$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
 }	
-//
-If ($conf['LLGBO_SETTINGS'] [9]  == 'true' )
-{$template->append('head_elements',"\n".' <STYLE type="text/css">.navThumb{display: none} </STYLE>');}
  
+
+  
 }  // end header 
  
@@ -120,5 +107,6 @@
 //-------------------------------------------------------------	
 function  DisplayGboLook()
-{ global $template,$conf;
+{ global $template,$conf,$lang;
+    $meta = "";
 	$u_metadata = $template->get_template_vars('U_METADATA');
 	$swt =   ' swttips="';	
@@ -128,9 +116,15 @@
 		{foreach($metadata[0] as $cle =>$tableau)
 			 { if(is_array($tableau))
-			 {foreach($tableau as $cle=>$valeur)
-			{   $swt= $swt.$cle.' : '.$valeur.'<br>'; }
+			 {   foreach($tableau as $cle=>$valeur)
+				{   $swt= $swt.$cle.' : '.$valeur.'<br>';
+					$meta = 1;}
 			}	}
+			if  ( pwg_get_session_var('show_metadata') == 1 )
+			{  	$lang['picture_show_metadata'] =  'EXIF Metadata';
+  			    if ($meta  != 1 ) {$lang['picture_show_metadata'] =  'No Metadata';}}
+			
 			$template->assign( 'U_METADATA', $u_metadata.'"'.$swt);
-	 	$template->Clear_assign('metadata');
+			$template->Clear_assign('metadata');
+			
 	} // hide original metadata
 		}
@@ -186,6 +180,7 @@
  	}	
 ///// YOGA or SIMPLE /////////////////////	
-$themeconf = $template->get_template_vars('themeconf');
-$tpl_name =  $themeconf['template'];
+$tpl_name = "";
+$currenttheme = $template->get_template_vars('themes');
+$tpl_id =  $currenttheme[0]['id'];
 /////////////////////////////////////////////
 // AN OTHER PLUGIN IS WORKING -> GO BACK
@@ -196,6 +191,9 @@
 /////////////////////////////////////////////////////////////////	
 if ($ThePicture['is_picture'] <> 1 )  	{  return $content;  ; }	
-//
-if ( strtoupper($tpl_name) == 'GALLY') { 
+//echo  $tpl_id;
+
+$template->assign('GALLY',''); 
+if (( strpos(strtoupper($tpl_id) , 'GALLY') === true) )
+ { 	$template->assign('GALLY','ok'); 
 					return $content;  ; }	// Not compliant with Gally
 /////////////////////////////////////////////////////////////////	
@@ -203,8 +201,6 @@
 			{$linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
 			$template->append('head_elements',$linkcss.'css/gbolook.css">');
-if ( strtoupper($tpl_name) == 'SIMPLE') { 			
-		  	 $template->append('head_elements',"\n".' <STYLE type="text/css">#theImage{margin:auto;overflow: hidden;} </STYLE>');}
-			 }
-			 
+		  	 $template->append('head_elements',"\n".' <STYLE type="text/css">#theImage{margin:auto;overflow: hidden;}</STYLE>');
+			  }
 //----------------------------------------------------	 
 //-------      Usemap   values         -------------	 
@@ -236,5 +232,6 @@
 //----------------------------------------------------	 
 $alt = $conf['allow_html_descriptions'] ? $ThePicture['name'] : strip_tags($ThePicture['name']);
-/* 
+
+/* */
 $related_cats =   $template->get_template_vars('related_categories');
 if (isset($related_cats))
@@ -243,6 +240,5 @@
 	$related_cat = str_replace($conf['level_separator'],"-",$related_cat);
 	} 
-$alt= $related_cat.' '.$alt;  
-*/ 
+ $alt = $alt.' - ['.$related_cat.']';
 //-----------------------------------------------------------------
 $template->assign( array(
@@ -259,5 +255,17 @@
 		 'high', array(
 			        'U_HIGH' => $ThePicture['high_url'] ,
-			        'UUID'   => $uuid,      ));} 
+			        'UUID'   => $uuid,      ));
+		// compliance HD LIGHTBOX	
+		If ($conf['LLGBO_SETTINGS'] [9]  == 'true' )
+			{$template->assign('HDHREF', ' href="'.$ThePicture['high_url'].'"'.' title= " HD --> '.$ThePicture['name'].'"');
+			  $template->append('head_elements', "/n".'<script type="text/javascript">
+				window.onload = function() {
+			Shadowbox.setup(document.getElementById("prevnext").getElementsByTagName("area")[3]);
+					}
+			</script>'  );} 
+           else
+           {$template->assign('HDHREF','href="javascript:phpWGOpenWindow('."'".$ThePicture['high_url']."','".$uuid."','"."scrollbars=yes,toolbar=no,status=no,resizable=yes'".')"');}		   
+			
+} 
 
 If (($conf['LLGBO_SETTINGS'] [5]  == 'true' )  /* title on frame */ and ($conf['LLGBO_SETTINGS'] [0]  == 'true' )) // display frame
@@ -266,5 +274,4 @@
 		
 // compatibility with extended description
-$ThePicture = $template->get_template_vars('current');
 $comment = $template->get_template_vars('COMMENT_IMG');
 if (!isset($comment) )
@@ -297,6 +304,6 @@
 {$template->clear_assign('FRAME_BEGIN') ;}
 
-$template->set_filenames( array('gbo_content'=> dirname(__FILE__).'/template/picture_content.tpl') );
-return $template->parse( 'gbo_content', true);
+$template->set_filenames( array('default_content'=> dirname(__FILE__).'/template/picture_content.tpl') );
+return $template->parse( 'default_content', true);
 } //end --> MyPictureOptions
 } // End class
Index: /extensions/LLGBO2/maintain.inc.php
===================================================================
--- /extensions/LLGBO2/maintain.inc.php	(revision 6233)
+++ /extensions/LLGBO2/maintain.inc.php	(revision 6234)
@@ -71,5 +71,5 @@
  or  (!isset($conf['LLGBOTOOLTIP'])) or (substr_count($conf['LLGBOTOOLTIP'], ',')  != 5) 
  or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32)
- or  (!isset($conf['LLGBOHEADER'])) or (substr_count($conf['LLGBOHEADER'], ',')  != 20))  
+ or  (!isset($conf['LLGBOHEADER'])) or (substr_count($conf['LLGBOHEADER'], ',')  != 21))  
 	{	  plugin_install(); }
 }
Index: /extensions/LLGBO2/template/picture_content.tpl
===================================================================
--- /extensions/LLGBO2/template/picture_content.tpl	(revision 6233)
+++ /extensions/LLGBO2/template/picture_content.tpl	(revision 6234)
@@ -1,14 +1,12 @@
 <!-- LLGBO2 picture_content -->
 {if !isset($FRAME_BEGIN)}
-	{if isset($high) } 
-		{if !isset($USEMAP) }
-		<!-- HihgDef and navigation on picture off   -->
-			<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
-		{/if}
-	 {/if}
-	<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" {$MAP_TO_USED}
-		{if isset($COMMENT_IMG)}
-			title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
-	{/if}>
+	{if isset($high) and !isset($USEMAP) }
+		<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
+	{/if}
+		<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG|@strip_tags:false}" 	 {$MAP_TO_USED}
+				title="{$ALT_IMG|@strip_tags:false}" >
+	{if isset($high) and !isset($USEMAP) }
+	 </a>
+	{/if}
 {/if} 
 
@@ -19,22 +17,23 @@
 	<div  id="gbo" {$FRAME_SIZE}>
 	{$FRAME_BEGIN}
-			{if isset($high) }
-				{if !isset($USEMAP) }
-					<!--  HihgDef and navigation on picture off   -->
-					<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
-				{/if} 
+			{if isset($high) and !isset($USEMAP)  }	 
+				<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
 			{/if}
 		   <img    src="{$SRC_IMG}" align="center" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" {$MAP_TO_USED}
+			
 			{if isset($COMMENT_IMG)}
-				title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
-			{/if}>
+				title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}" >
+			{/if} 
+			{if isset($high) and !isset($USEMAP) }
+			</a>
+			{/if}
+			
 	{$FRAME_END}
 </div>
 {/if}
 	{if isset($high) } 
-		{if !isset($USEMAP) }
-				<p>{'picture_high'|@translate}</p>
-		{/if}
-		
+		<!-- HihgDef and navigation on picture off   -->
+			<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
+			<p>{'Click on the picture to see it in high definition'|@translate}</p> </a>
 	 {/if}
 
@@ -43,15 +42,16 @@
 		<map id="prevnext" name="prevnext">  
 		{if isset($previous)}
-		<area shape="rect" coords="{$LEFT_X1},{$LEFT_Y1},{$LEFT_X2},{$LEFT_Y2}" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$PREVTHUMBTITLE}" {if isset($PREVTHUMB)}{$PREVTHUMB} {/if} alt="" rel="prev"> 
+		<area shape="rect" coords="{$LEFT_X1},{$LEFT_Y1},{$LEFT_X2},{$LEFT_Y2}" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$PREVTHUMBTITLE}" {if isset($PREVTHUMB)}{$PREVTHUMB} {/if} alt="" rel="prev"> 
 		{/if}   
-		<area shape="rect" coords="{$UP_X1},{$UP_Y1},{$UP_X2},{$UP_Y2}" href="{$U_UP}" title="{'thumbnails'|@translate}" alt="" rel="up" >
+		<area shape="rect" coords="{$UP_X1},{$UP_Y1},{$UP_X2},{$UP_Y2}" href="{$U_UP}" title="{'Thumbnails'|@translate}" alt="" rel="up" >
 		{if isset($next) }
-		<area shape="rect" coords="{$RIGHT_X1},{$RIGHT_Y1},{$RIGHT_X2},{$RIGHT_Y2}" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$NEXTTHUMBTITLE}" {if isset($NEXTTHUMB)}{$NEXTTHUMB} {/if} alt="" rel="next">
+		<area shape="rect" coords="{$RIGHT_X1},{$RIGHT_Y1},{$RIGHT_X2},{$RIGHT_Y2}" href="{$next.U_IMG}" title="{'Next'|@translate} : {$NEXTTHUMBTITLE}" {if isset($NEXTTHUMB)}{$NEXTTHUMB} {/if} alt="" rel="next">
 		{/if}
-		{if isset($high) }
-			<area shape="rect" coords="{$HIGH_X1},{$HIGH_Y1},{$HIGH_X2},{$HIGH_Y2}" 
-			 href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')" 
-			TITLE = "{'picture_high'|@translate}" >
-			{/if}
+		{if isset($high) } 
+			<area shape="rect" coords="{$HIGH_X1},{$HIGH_Y1},{$HIGH_X2},{$HIGH_Y2}"
+			{$HDHREF} 	
+			>
+		{/if}	
+		    
 		</map>
 {/if}
